window.addEventListener("load", async function(){
	const wpadminbar = document.getElementById("wpadminbar");

	let wrapper = document.getElementsByClassName("realapsdataviewer")[0];

	// get query string
	const urlSearchParams = new URLSearchParams(window.location.search);
	const params = Object.fromEntries(urlSearchParams.entries());

	let rdv = new VTL.RealapsDataViewer(wrapper, rdvparam, params);

	function onWindowResize(e){
		if(wpadminbar){
			wrapper.style.top = wpadminbar.clientHeight + "px";
		}
		let rect = wrapper.getBoundingClientRect();
		rdv.setSize(rect.width, rect.height);
	}

	window.addEventListener("resize", onWindowResize);
	
	onWindowResize();
});